## python-os-client-config 1.31.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstacksdk>=0.13.0 # Apache-2.0

=== debian/changelog ===
python-os-client-config (1.31.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Disable tests while bootstrapping the backport.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 17:13:57 +0200

python-os-client-config (1.31.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:28:31 +0200

python-os-client-config (1.31.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building sphinx doc.
  * Using pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 18:46:00 +0200

=== debian/control ===
Source: python-os-client-config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-extras (>= 1.0.0),
 python-fixtures,
# python-glanceclient (>= 1:2.8.0),
 python-hacking,
 python-jsonschema (>= 2.6.0),
 python-mock,
 python-openstacksdk (>= 0.13.0),
# python-oslotest (>= 1:3.2.0),
 python-stestr,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-docutils,
 python3-extras (>= 1.0.0),
 python3-fixtures,
# python3-glanceclient (>= 1:2.8.0),
 python3-jsonschema (>= 2.6.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.13.0),
# python3-oslotest (>= 1:3.2.0),
 python3-reno,
 python3-requestsexceptions,
 python3-stestr,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-client-config
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-client-config.git
Homepage: http://github.com/stackforge/os-client-config

Package: python-os-client-config
Architecture: all
Depends:
 python-openstacksdk (>= 0.13.0),
 python-pbr,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-client-config-doc,
Description: OpenStack client configuration library - Python 2.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 2.x module.

Package: python-os-client-config-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack client configuration library - doc
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the documentation.

Package: python3-os-client-config
Architecture: all
Depends:
 python3-openstacksdk (>= 0.13.0),
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-client-config-doc,
Description: OpenStack client configuration library - Python 3.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-client-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	cp os_client_config/defaults.json $(CURDIR)/debian/python-os-client-config/usr/lib/python2.7/dist-packages/os_client_config/defaults.json
	cp os_client_config/defaults.json $(CURDIR)/debian/python3-os-client-config/usr/lib/python3/dist-packages/os_client_config/defaults.json

override_dh_auto_test:
	:
ifeq (1,0)
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'tests\.(?!.*OptsTestCase.test_entry_point.*)'
endif
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-client-config 1.32.0

=== debian/changelog ===
python-os-client-config (1.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 22:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,40 +4,26 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-coverage,
- python-extras (>= 1.0.0),
- python-fixtures,
-# python-glanceclient (>= 1:2.8.0),
- python-hacking,
- python-jsonschema (>= 2.6.0),
- python-mock,
- python-openstacksdk (>= 0.13.0),
-# python-oslotest (>= 1:3.2.0),
- python-stestr,
- python-testscenarios,
- python-testtools (>= 2.2.0),
+ python3-coverage,
  python3-docutils,
  python3-extras (>= 1.0.0),
  python3-fixtures,
-# python3-glanceclient (>= 1:2.8.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-hacking,
  python3-jsonschema (>= 2.6.0),
  python3-mock,
  python3-openstackdocstheme (>= 1.18.1),
  python3-openstacksdk (>= 0.13.0),
-# python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-reno,
  python3-requestsexceptions,
  python3-stestr,
@@ -48,32 +34,6 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-client-config
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-client-config.git
 Homepage: http://github.com/stackforge/os-client-config
-
-Package: python-os-client-config
-Architecture: all
-Depends:
- python-openstacksdk (>= 0.13.0),
- python-pbr,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-os-client-config-doc,
-Description: OpenStack client configuration library - Python 2.x
- Os-client-config is a library for collecting client configuration for using an
- OpenStack cloud in a consistent and comprehensive manner. It will find cloud
- config for as few as 1 cloud and as many as you want to put in a config file.
- It will read environment variables and config files, and it also contains some
- vendor specific default values so that you don't have to know extra info to
- use OpenStack
- .
- os-client-config honors all of the normal OS_* variables. It does not provide
- backwards compatibility to service-specific variables such as NOVA_USERNAME.
- .
- If you have environment variables and no config files, os-client-config will
- produce a cloud config object named "openstack" containing your values from
- the environment.
- .
- This package contains the Python 2.x module.
 
 Package: python-os-client-config-doc
 Section: doc

## python-os-client-config 2.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-client-config (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:17:06 +0200

python-os-client-config (1.33.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:47:00 +0200

python-os-client-config (1.33.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Buster.
  * Add fix-privacy-breach-in-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 09:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,29 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
  python3-docutils,
- python3-extras (>= 1.0.0),
+ python3-extras,
  python3-fixtures,
- python3-glanceclient (>= 1:2.8.0),
+ python3-glanceclient,
  python3-hacking,
- python3-jsonschema (>= 2.6.0),
- python3-mock,
- python3-openstackdocstheme (>= 1.18.1),
- python3-openstacksdk (>= 0.13.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-jsonschema,
+ python3-openstackdocstheme,
+ python3-openstacksdk,
+ python3-oslotest,
  python3-reno,
  python3-requestsexceptions,
  python3-stestr,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testtools,
  subunit,
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-client-config
@@ -61,7 +60,7 @@
 Package: python3-os-client-config
 Architecture: all
 Depends:
- python3-openstacksdk (>= 0.13.0),
+ python3-openstacksdk,
  python3-pbr,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-client-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	cp os_client_config/defaults.json $(CURDIR)/debian/python3-os-client-config/usr/lib/python3/dist-packages/os_client_config/defaults.json

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'tests\.(?!.*OptsTestCase.test_entry_point.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-os-client-config 2.3.0

=== requirements.txt ===
openstacksdk>=0.13.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-os-client-config (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:22:17 +0200

python-os-client-config (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:45:09 +0200

python-os-client-config (2.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090550).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:31:20 +0100

python-os-client-config (2.1.0-2) unstable; urgency=medium

  * Fixed Homepage URL.
  * Cleans better (Closes: #1048605).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:24:31 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-client-config
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-client-config.git
-Homepage: http://github.com/stackforge/os-client-config
+Homepage: https://opendev.org/openstack/os-client-config
 
 Package: python-os-client-config-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -26,5 +28,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/os-client-config/tags .*/(\d[\d\.]+)\.tar\.gz
